libnvme(2)

NAME
struct nvme_mi_aem_occ_list_hdr - AE occurrence list header

SYNOPSIS
struct nvme_mi_aem_occ_list_hdr {
__u8 numaeo;
__u8 aelver;
__u8 aeolli[3];
__u8 aeolhl;
__u8 aemti;
};

Members

numaeo
    Number of AE Occurrence Data Structures

aelver
    AE Occurrence List Version Number

aeolli
    AE Occurrence List Length Info (AEOLLI)

aeolhl
    AE Occurrence List Header Length (shall be set to 7)

aemti
    AEM Transmission Info

Description
The header for the occurrence list. numaeo defines how many nvme_mi_aem_occ_data structures (including variable payaloads) are included. Following this header is each of the numaeo occurrence data structures.